Apache-Template

Metadata

Analyzed metadata and errors of Apache-Template.

{
   "abstracts_in_pod" : {
      "Apache::Template" : "Apache/mod_perl interface to the Template Toolkit"
   },
   "author" : "ABW",
   "buildfile_executable" : 0,
   "dir_lib" : "lib",
   "dirs_array" : [
      "lib",
      "lib/Template",
      "lib/Template/Service",
      "lib/Apache"
   ],
   "dist" : "Apache-Template",
   "error" : {
      "consistent_version" : "0.09,1.04",
      "use_warnings" : "Template::Service::Apache, Apache::Template"
   },
   "extension" : "tar.gz",
   "extractable" : 1,
   "extracts_nicely" : 1,
   "file__build" : 0,
   "file_blib" : 0,
   "file_build" : 0,
   "file_changelog" : "Changes",
   "file_makefile" : 0,
   "file_makefile_pl" : "Makefile.PL",
   "file_manifest" : "MANIFEST",
   "file_pm_to_blib" : 0,
   "file_readme" : "README",
   "file_test_pl" : "test.pl",
   "files_array" : [
      "Template.xs",
      "README",
      "test.pl",
      "Changes",
      "Makefile.PL",
      "MANIFEST",
      "lib/Template/Service/Apache.pm",
      "lib/Apache/Template.pm"
   ],
   "files_hash" : {
      "Changes" : {
         "mtime" : 1083057250,
         "size" : 6062
      },
      "MANIFEST" : {
         "mtime" : 992367503,
         "size" : 110
      },
      "Makefile.PL" : {
         "mtime" : 1083053403,
         "size" : 7671,
         "used" : [
            "Apache::ExtUtils",
            "Apache::Template",
            "Apache::src",
            "ExtUtils::MakeMaker",
            "lib"
         ]
      },
      "README" : {
         "mtime" : 1083057082,
         "size" : 3962
      },
      "Template.xs" : {
         "mtime" : 1083057262,
         "size" : 11547
      },
      "lib/Apache/Template.pm" : {
         "license" : "Perl_5",
         "module" : "Apache::Template",
         "mtime" : 1083057091,
         "noed" : [
            "strict"
         ],
         "size" : 38385,
         "used" : [
            "Apache::Constants",
            "Apache::ModuleConfig",
            "DynaLoader",
            "Template::Config",
            "Template::Service::Apache",
            "strict",
            "vars"
         ]
      },
      "lib/Template/Service/Apache.pm" : {
         "module" : "Template::Service::Apache",
         "mtime" : 1083057091,
         "required" : [
            "5.004"
         ],
         "size" : 7801,
         "used" : [
            "Apache::Constants",
            "Apache::Request",
            "Apache::Util",
            "Digest::MD5",
            "Template::Config",
            "Template::Constants",
            "Template::Exception",
            "Template::Service",
            "strict",
            "vars"
         ]
      },
      "test.pl" : {
         "mtime" : 992367503,
         "size" : 132
      }
   },
   "got_prereq_from" : "Makefile.PL",
   "kwalitee" : {
      "buildtool_not_executable" : 1,
      "consistent_version" : 0,
      "distname_matches_name_in_meta" : 1,
      "extractable" : 1,
      "extracts_nicely" : 1,
      "has_abstract_in_pod" : 1,
      "has_buildtool" : 1,
      "has_changelog" : 1,
      "has_human_readable_license" : 1,
      "has_known_license_in_source_file" : 1,
      "has_license_in_source_file" : 1,
      "has_manifest" : 1,
      "has_meta_yml" : 0,
      "has_proper_version" : 1,
      "has_readme" : 1,
      "has_separate_license_file" : 0,
      "has_tests" : 1,
      "has_tests_in_t_dir" : 0,
      "has_version" : 1,
      "kwalitee" : "86.36",
      "manifest_matches_dist" : 1,
      "meta_json_conforms_to_known_spec" : 1,
      "meta_json_is_parsable" : 1,
      "meta_yml_conforms_to_known_spec" : 1,
      "meta_yml_declares_perl_version" : 0,
      "meta_yml_has_license" : 0,
      "meta_yml_has_provides" : 0,
      "meta_yml_has_repository_resource" : 0,
      "meta_yml_is_parsable" : 1,
      "no_abstract_stub_in_pod" : 1,
      "no_broken_auto_install" : 1,
      "no_broken_module_install" : 1,
      "no_dot_dirs" : 1,
      "no_dot_underscore_files" : 1,
      "no_generated_files" : 1,
      "no_invalid_versions" : 1,
      "no_local_dirs" : 1,
      "no_mymeta_files" : 1,
      "no_pax_headers" : 1,
      "no_pod_errors" : 1,
      "no_stdin_for_prompting" : 1,
      "no_symlinks" : 1,
      "package_version_matches_dist_version" : 1,
      "portable_filenames" : 1,
      "proper_libs" : 1,
      "use_strict" : 1,
      "use_warnings" : 0,
      "valid_signature" : 1
   },
   "latest_mtime" : 1083057262,
   "license" : "defined in POD (lib/Apache/Template.pm)",
   "license_file" : "lib/Apache/Template.pm",
   "license_in_pod" : 1,
   "license_type" : "Perl_5",
   "licenses" : {
      "Perl_5" : [
         "lib/Apache/Template.pm"
      ]
   },
   "manifest_matches_dist" : 1,
   "meta_yml" : {},
   "modules" : [
      {
         "file" : "lib/Template/Service/Apache.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "Template::Service::Apache"
      },
      {
         "file" : "lib/Apache/Template.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "Apache::Template"
      }
   ],
   "needs_compiler" : 1,
   "no_pax_headers" : 1,
   "package" : "Apache-Template-0.09.tar.gz",
   "prereq" : [],
   "released_epoch" : 1083057994,
   "size_packed" : 19135,
   "size_unpacked" : 75670,
   "uses" : {
      "noed_in_code" : {
         "strict" : 1
      },
      "required_in_code" : {
         "5.004" : 1
      },
      "used_in_code" : {
         "Apache::Constants" : 2,
         "Apache::ModuleConfig" : 1,
         "Apache::Request" : 1,
         "Apache::Util" : 1,
         "Digest::MD5" : 1,
         "DynaLoader" : 1,
         "Template::Config" : 2,
         "Template::Constants" : 1,
         "Template::Exception" : 1,
         "Template::Service" : 2,
         "strict" : 2,
         "vars" : 2
      },
      "used_in_config" : {
         "Apache::ExtUtils" : 1,
         "Apache::src" : 1,
         "ExtUtils::MakeMaker" : 1,
         "lib" : 1
      }
   },
   "valid_signature" : -1,
   "version" : "0.09",
   "versions" : {
      "lib/Apache/Template.pm" : {
         "Apache::Template" : "0.09"
      },
      "lib/Template/Service/Apache.pm" : {
         "Template::Service::Apache" : "1.04"
      }
   },
   "vname" : "Apache-Template-0.09"
}